lwIP 2.1.0 Lightweight IP stack

Data Structures | Macros | Functions
autoip.h File Reference
`#include "lwip/opt.h"`
`#include "lwip/netif.h"`
`#include "lwip/etharp.h"`

## Data Structures
struct | autoip

## Macros
#define | AUTOIP_TMR_INTERVAL 100
#define | autoip_remove_struct(netif) do { (netif)->autoip = NULL; } while (0)

## Functions
void | autoip_set_struct (struct netif *netif, struct autoip *autoip)
err_t | autoip_start (struct netif *netif)
err_t | autoip_stop (struct netif *netif)
void | autoip_arp_reply (struct netif *netif, struct etharp_hdr *hdr)
void | autoip_tmr (void)
void | autoip_network_changed (struct netif *netif)
u8_t | autoip_supplied_address (const struct netif *netif)

## Detailed Description

AutoIP Automatic LinkLocal IP Configuration

## Macro Definition Documentation

## ◆ autoip_remove_struct

#define autoip_remove_struct | ( |  | netif | ) | do { (netif)->autoip = NULL; } while (0)

Remove a struct autoip previously set to the netif using autoip_set_struct()

## ◆ AUTOIP_TMR_INTERVAL

#define AUTOIP_TMR_INTERVAL 100

AutoIP Timing

## Function Documentation

## ◆ autoip_arp_reply()

void autoip_arp_reply | ( | struct netif * | netif,
|  | struct etharp_hdr * | hdr
| ) |  |

Handles every incoming ARP Packet, called by etharp_input().

Parameters

  netif | network interface to use for autoip processing
  hdr | Incoming ARP packet

## ◆ autoip_network_changed()

void autoip_network_changed | ( | struct netif * | netif | ) |

Handle a possible change in the network configuration.

If there is an AutoIP address configured, take the interface down and begin probing with the same address.

## ◆ autoip_supplied_address()

u8_t autoip_supplied_address | ( | const struct netif * | netif | ) |

check if AutoIP supplied netif->ip_addr

Parameters

  netif | the netif to check

Returns
  1 if AutoIP supplied netif->ip_addr (state BOUND or ANNOUNCING), 0 otherwise

## ◆ autoip_tmr()

void autoip_tmr | ( | void |  | ) |

Has to be called in loop every AUTOIP_TMR_INTERVAL milliseconds